/* ----------------------------------------------------------------------------
 *  Copyright (C) 1999-2002 by Karim Kaschani
 *
 *  This file is part of the function calculation package FuncCalc.
 *
 *  FuncCalc is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  FuncCalc is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * ------------------------------------------------------------------------- */

/* ----------------------------------------------------------------------------
 * symtab.h - symbol table data structure
 * ------------------------------------------------------------------------- */

/* ------------------------------------------------------------------ macros */

#define	NSYMS	50

/* ----------------------------------------------------------------- globals */

struct symtab {
	char	*name;
	complex	value;
	int	def;
} symtab[NSYMS];

/* --------------------------------------------------------------- functions */

struct symtab	*lookSymtab(char *);
void		freeSymtab(int);
